/*************************************************************************************************************************
1. Create Monitoring File
**************************************************************************************************************************/

%let basename = C:/Public_Training_Materials/Lab;	

libname out "&basename./public_mpl1r_wp001_synpufs_v01/inputfiles";		
%let wpnum = wp001 ; 		

data out.&wpnum._monitoring;
	format periodid 8. startdate date9. indenddate date9. indendoptions $10. fupenddate date9. cdpend $1. ;
	periodid = 1; 
	startdate = '01JAN2008'd;  /* Index Start Date; Valid values: calendar date in format "29AUG2019"d; Required */
	indenddate = '31DEC2010'd; /* Index End Date; Valid values: calendar date in format "29AUG2019"d; Required */
	indendoptions = ' ';   
	fupenddate = '31DEC2010'd; /* Follow-Up End Date; Valid values: calendar date in format "29AUG2019"d; Required */
	cdpend = 'N';              /* Censor on Common Components Data Completeness Date Indicator; Valid values: 'Y' or 'N'; Required */
run;



