/*** Macro Parameters ***/
/*** Do not include file extensions for any dataset names ***/
%let RUNID=r01;
%let PERIODIDSTART=1; 
%let PERIODIDEND=1;   
%let ANALYSIS=;
%let MONITORINGFILE=wp001_monitoring; 
%let USERSTRATA=wp001_type2strata;
%let COMBOFILE=;
%let COHORTFILE=wp001_cohort;
%let COHORTCODES=wp001_cohortcodes; 
%let INCLUSIONCODES=wp001_exclusion;	
%let STOCKPILINGFILE=;
%let RUN_ENVELOPE =0; 
%let FREEZEDATA=N;
%let ZIPFILE=;
%let LABSCODEMAP=; /*must be specified if lab data are used*/
%let DISTINDEX =;

*Type files;
%let TYPE1FILE=;
%let TYPE2FILE=wp001_type2;
%let TYPE3FILE=;
%let TYPE4FILE=;
%let PREGDUR=;
%let TYPE5FILE=;
%let TYPE6FILE=;

** Sequential Analysis parameters **;
%let METADATAFILE=;
%let SURVEILLANCEMODE=;

*Baseline Table files;
%let COVARIATECODES=wp001_covariates;
%let UTILFILE=; 	
%let COMORBFILE=; 
%let DRUGCLASSFILE=; 
%let PROFILE = ; 
%let MFUFILE = ;

*Additional analyses files: multiple events, overlap, adherence, ITS, switching, concomittant episodes;
%let MULTEVENTFILE=;
%let MULTEVENTFILE_ADHERE=;
%let OVERLAPFILE=;
%let OVERLAPFILE_ADHERE=;
%let ITSFILE = ;
%let CONCFILE=;
%let TREATMENTPATHWAYS=;

*Mother-Infant Cohort file;
%let MICOHORTFILE=;

** Treescan parameters **;
%let TREEFILE = ;
%let TREELOOKUP=;
%let ICD10ICD9MAP=;

** Propensity Score and Multi-Factor Matching parameters ** ;
%let COMPARISON = wp001_psm; 
%let COVARIATES_CONSIDERED= ;
%let COVARIATES_SELECTED= ;
%let RANKING= ;
%let ZERO_CELL_CORR= ;  
%let PERCENTILES=10;
%let DIAGNOSTICS=Y;
%let INDLEVEL=N; 
%let UNCONDITIONAL=Y;
%let ANALYTICSUBGROUPS=;

** Macro Call RUN 1 ** ;

%include "&sasmacr.runqrp.sas";

/** Report Macro Parameters **/
%let CREATEREPORT_TYPE = 2;
%let CREATEREPORT_T1T2_FILE = createreport;
%let CREATEREPORT_T5_FILE = ;

%include "&reportmacr.runreport.sas";
